Subject: Re: [PATCH 2/2] t9700: ensure cat-file info isn't buffered by default

From: Junio C Hamano <[email-masked]>
Date: Mon, 17 Jun 2024 16:08:48 -0700

Eric Wong <[email-masked]> writes:

> While working on buffering changes to `git cat-file' in a
> separate patch, I inadvertently made the output of --batch-check
> and the `info' command of --batch-command buffered by default.

Here "buffered" means "as if opt->buffer_output is turned on", which
in turn means "the output goes through stdio"?  Just making sure
that my understanding of what the breakage was is in line with what
you wanted to convey.

Thanks.